com.google.web.bindery.requestfactory.apt

## Class DeobfuscatorBuilder

- java.lang.Object
- - javax.lang.model.util.AbstractElementVisitor6<R,P>
  - - javax.lang.model.util.ElementScanner6<R,State>
    - - com.google.web.bindery.requestfactory.apt.ScannerBase<java.lang.Void>
      - - com.google.web.bindery.requestfactory.apt.DeobfuscatorBuilder

- All Implemented Interfaces:
    javax.lang.model.element.ElementVisitor<java.lang.Void,State>

      class DeobfuscatorBuilder
      extends ScannerBase<java.lang.Void>

  Visits a RequestFactory to create its associated DeobfuscatorBuilder, a self-configuring subtype of `Deobfuscator.Builder` which provides the ServiceLayer with type- and method-mapping information.

- - ### Field Summary

    - ### Fields inherited from class javax.lang.model.util.ElementScanner6

      `DEFAULT_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeobfuscatorBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `java.lang.Void` | `visitExecutable(javax.lang.model.element.ExecutableElement x, State state)` Examine a method defined within a RequestFactory.
    `java.lang.Void` | `visitType(javax.lang.model.element.TypeElement x, State state)` Scan a RequestFactory type.

    - ### Methods inherited from class com.google.web.bindery.requestfactory.apt.ScannerBase

      `isGetter, isSetter, poisonIfAnnotationPresent, scan, scanAllInheritedMethods, shouldIgnore, viewIn`

    - ### Methods inherited from class javax.lang.model.util.ElementScanner6

      `scan, scan, visitPackage, visitTypeParameter, visitVariable`

    - ### Methods inherited from class javax.lang.model.util.AbstractElementVisitor6

      `visit, visit, visitUnknown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeobfuscatorBuilder

          DeobfuscatorBuilder()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### visitExecutable

          public java.lang.Void visitExecutable(javax.lang.model.element.ExecutableElement x,
                                                State state)

      Examine a method defined within a RequestFactory.
      Specified by:
        `visitExecutable` in interface `javax.lang.model.element.ElementVisitor<java.lang.Void,State>`
      Overrides:
        `visitExecutable` in class `javax.lang.model.util.ElementScanner6<java.lang.Void,State>`

    - #### visitType

          public java.lang.Void visitType(javax.lang.model.element.TypeElement x,
                                          State state)

      Scan a RequestFactory type.
      Specified by:
        `visitType` in interface `javax.lang.model.element.ElementVisitor<java.lang.Void,State>`
      Overrides:
        `visitType` in class `javax.lang.model.util.ElementScanner6<java.lang.Void,State>`